package com.realnet.basic.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basic.Entity.Test01;
import com.realnet.basic.Services.Test01Service ;








@RequestMapping(value = "/Test01")
 @CrossOrigin("*") 
@RestController
public class Test01Controller {
	@Autowired
	private Test01Service Service;

@Value("${projectPath}")
	private String projectPath;
 








	@PostMapping("/Test01")
		  public Test01 Savedata(@RequestBody Test01 data) {
		Test01 save = Service.Savedata(data)	;







		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Test01/{id}")
	public  Test01 update(@RequestBody Test01 data,@PathVariable Integer id ) {
		Test01 update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Test01/getall/page")
	public Page<Test01> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Test01> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Test01")
	public List<Test01> getdetails() {
		 List<Test01> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Test01")
	public List<Test01> getallwioutsec() {
		 List<Test01> get = Service.getdetails();		
		return get;
}
@GetMapping("/Test01/{id}")
	public  Test01  getdetailsbyId(@PathVariable Integer id ) {
		Test01  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Test01/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}









}